<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PAPBinTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PAPBinTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PAPBinTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/PAPBinTable.html" target="_top">Frames</a></li>
        <li><a href="PAPBinTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class PAPBinTable" class="title">Class PAPBinTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.model.PAPBinTable</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/model/OldPAPBinTable.html"
                           title="class in org.apache.poi.hwpf.model">OldPAPBinTable</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">PAPBinTable</span>
extends java.lang.Object</pre>
                <div class="block">This class represents the bin table of Word document but it also serves as a
                    holder for all of the paragraphs of document that have been loaded into
                    memory.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Ryan Ackley</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.ArrayList&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#Z:Z_paragraphs">_paragraphs</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#PAPBinTable--">PAPBinTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#PAPBinTable-byte:A-byte:A-byte:A-int-int-org.apache.poi.hwpf.model.CharIndexTranslator-">PAPBinTable</a></span>(byte[]&nbsp;documentStream,
                                    byte[]&nbsp;tableStream,
                                    byte[]&nbsp;dataStream,
                                    int&nbsp;offset,
                                    int&nbsp;size,
                                    <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                       title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;charIndexTranslator)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#adjustForDelete-int-int-int-">adjustForDelete</a></span>(int&nbsp;listIndex,
                                    int&nbsp;offset,
                                    int&nbsp;length)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#adjustForInsert-int-int-">adjustForInsert</a></span>(int&nbsp;listIndex,
                                    int&nbsp;length)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.util.ArrayList&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#getParagraphs--">getParagraphs</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#insert-int-int-org.apache.poi.hwpf.sprm.SprmBuffer-">insert</a></span>(int&nbsp;listIndex,
                                    int&nbsp;cpStart,
                                    <a href="../../../../../org/apache/poi/hwpf/sprm/SprmBuffer.html"
                                       title="class in org.apache.poi.hwpf.sprm">SprmBuffer</a>&nbsp;buf)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#rebuild-java.lang.StringBuilder-org.apache.poi.hwpf.model.ComplexFileTable-">rebuild</a></span>(java.lang.StringBuilder&nbsp;docText,
                                    <a href="../../../../../org/apache/poi/hwpf/model/ComplexFileTable.html"
                                       title="class in org.apache.poi.hwpf.model">ComplexFileTable</a>&nbsp;complexFileTable)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#writeTo-java.io.ByteArrayOutputStream-java.io.ByteArrayOutputStream-org.apache.poi.hwpf.model.CharIndexTranslator-">writeTo</a></span>(java.io.ByteArrayOutputStream&nbsp;wordDocumentStream,
                                    java.io.ByteArrayOutputStream&nbsp;tableStream,
                                    <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                       title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="Z:Z_paragraphs">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_paragraphs</h4>
                                <pre>protected final&nbsp;java.util.ArrayList&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt; _paragraphs</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PAPBinTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PAPBinTable</h4>
                                <pre>public&nbsp;PAPBinTable()</pre>
                            </li>
                        </ul>
                        <a name="PAPBinTable-byte:A-byte:A-byte:A-int-int-org.apache.poi.hwpf.model.CharIndexTranslator-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PAPBinTable</h4>
                                <pre>public&nbsp;PAPBinTable(byte[]&nbsp;documentStream,
                   byte[]&nbsp;tableStream,
                   byte[]&nbsp;dataStream,
                   int&nbsp;offset,
                   int&nbsp;size,
                   <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                      title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;charIndexTranslator)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="rebuild-java.lang.StringBuilder-org.apache.poi.hwpf.model.ComplexFileTable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>rebuild</h4>
                                <pre>public&nbsp;void&nbsp;rebuild(java.lang.StringBuilder&nbsp;docText,
                    <a href="../../../../../org/apache/poi/hwpf/model/ComplexFileTable.html"
                       title="class in org.apache.poi.hwpf.model">ComplexFileTable</a>&nbsp;complexFileTable)</pre>
                            </li>
                        </ul>
                        <a name="insert-int-int-org.apache.poi.hwpf.sprm.SprmBuffer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insert</h4>
                                <pre>public&nbsp;void&nbsp;insert(int&nbsp;listIndex,
                   int&nbsp;cpStart,
                   <a href="../../../../../org/apache/poi/hwpf/sprm/SprmBuffer.html"
                      title="class in org.apache.poi.hwpf.sprm">SprmBuffer</a>&nbsp;buf)</pre>
                            </li>
                        </ul>
                        <a name="adjustForDelete-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>adjustForDelete</h4>
                                <pre>public&nbsp;void&nbsp;adjustForDelete(int&nbsp;listIndex,
                            int&nbsp;offset,
                            int&nbsp;length)</pre>
                            </li>
                        </ul>
                        <a name="adjustForInsert-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>adjustForInsert</h4>
                                <pre>public&nbsp;void&nbsp;adjustForInsert(int&nbsp;listIndex,
                            int&nbsp;length)</pre>
                            </li>
                        </ul>
                        <a name="getParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphs</h4>
                                <pre>public&nbsp;java.util.ArrayList&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;&nbsp;getParagraphs()</pre>
                            </li>
                        </ul>
                        <a name="writeTo-java.io.ByteArrayOutputStream-java.io.ByteArrayOutputStream-org.apache.poi.hwpf.model.CharIndexTranslator-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>writeTo</h4>
                                <pre>public&nbsp;void&nbsp;writeTo(java.io.ByteArrayOutputStream&nbsp;wordDocumentStream,
                    java.io.ByteArrayOutputStream&nbsp;tableStream,
                    <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                       title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)
             throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PAPBinTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/PAPBinTable.html" target="_top">Frames</a></li>
        <li><a href="PAPBinTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
